> For a complete page index, fetch https://developer.close.com/llms.txt # Create a Pipeline POST https://api.close.com/api/v1/pipeline/ Content-Type: application/json Reference: https://developer.close.com/api/resources/pipelines/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a CreatePipeline. - `name` (string, required) - `statuses` (list of NewPipelineOpportunityStatus, optional, nullable) — Opportunity Statuses to create within the new Pipeline. ## Response ### 201 Successful response - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_updated` (datetime, required) - `id` (string, required) - `name` (string, required) - `organization_id` (string, required) - `statuses` (list of PipelineOpportunityStatus, required) - `updated_by` (string, required, nullable) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### NewPipelineOpportunityStatus - `label` (string, required) - `type` (enum, optional) - Allowed values: `won`, `lost`, `active` ### PipelineOpportunityStatus - `id` (string, required) - `label` (string, required) - `type` (enum, required) - Allowed values: `won`, `lost`, `active` ## Examples **Request** ```json { "name": "Success" } ``` **Response** ```json { "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2019-11-04T11:04:13.014979", "date_updated": "2019-11-13T14:12:13.051542", "id": "pipe_6gV01if4wo7r2YTVQDWP2j", "name": "Success", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "statuses": [], "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python pipelines_create_example import requests url = "https://api.close.com/api/v1/pipeline/" payload = { "name": "Success" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript pipelines_create_example const url = 'https://api.close.com/api/v1/pipeline/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"name":"Success"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go pipelines_create_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/pipeline/" payload := strings.NewReader("{\n \"name\": \"Success\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby pipelines_create_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/pipeline/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Success\"\n}" response = http.request(request) puts response.read_body ``` ```java pipelines_create_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/pipeline/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"Success\"\n}") .asString(); ``` ```php pipelines_create_example request('POST', 'https://api.close.com/api/v1/pipeline/', [ 'body' => '{ "name": "Success" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp pipelines_create_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/pipeline/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Success\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```